import * as ol from 'openlayers';
export declare class DraftingEvent {
    private _map;
    private _callBack;
    private _position;
    private _overlayArr;
    private _overlay;
    private _dragPan;
    private _moveFun;
    private _poinFun;
    constructor(_map: ol.Map, _callBack: Function);
    serMarkerArr(overlay: any, id: any): void;
    binDraftingEvent(): void;
    removDraftingEvent(): void;
}
export declare abstract class Overlay {
    private _overlay;
    private _func;
    _dragPan: any;
    private _fun;
    protected ele: HTMLElement;
    constructor();
    setId(id: string): void;
    setAttribute<T>(options: T): void;
    setOffset([x, y]: [number, number]): void;
    getAttribute<T>(): T;
    setPosition([x, y]: [number, number]): void;
    getPosition(): Array<number>;
    getMarker(): ol.Overlay;
    setText(text: string): void;
    setHtml(html: any): void;
    getId(): string;
    binEvent(event: string, fun: any): void;
    hover(fnOver: any, fnOut: any): void;
    getDom(): HTMLElement;
    show(): void;
    hide(): void;
    startDrag(m: DraftingEvent): void;
    stopDrag(m: DraftingEvent): void;
    removEvent(eventType: string): void;
    abstract setHTMLElementStyle(): void;
}
export declare class LMarker extends Overlay {
    imgSrc: string;
    width: number;
    private height;
    constructor(imgSrc: string, width?: number, height?: number);
    setHTMLElementStyle(): void;
    setImgSrc(src: string): void;
}
export declare class CheckPoint extends Overlay {
    constructor(text: string, fontSize?: number);
    setHTMLElementStyle(): void;
}
export declare class Label extends Overlay {
    width: number;
    height: number;
    constructor(text?: string, width?: number, height?: number);
    setHTMLElementStyle(): void;
}
export declare class LabelEr extends Overlay {
    width: number;
    height: number;
    private _ul;
    private _options;
    private _spans;
    constructor(options: {
        nameArr: Array<string>;
        valArr: Array<string>;
    }, width?: number, height?: number);
    setHTMLElementStyle(): void;
    private _init();
    private _createLiAndLabelAndSapn();
    setValues(valArr?: Array<string>): void;
}
export declare class MenuPanel extends Overlay {
    private _nameArr;
    private _callback;
    private width;
    private _isDisableArr;
    private _pArr;
    constructor(_nameArr: Array<string>, _callback: Function, width?: number);
    setHTMLElementStyle(): void;
    isDisables(arr: Array<boolean>): void;
}
export declare function getFeatures(feature: any, map: ol.Map): any;
